import { HttpClient } from '@angular/common/http';
import { AuthenticationService } from 'ngx-login-client';
import { Observable } from 'rxjs/Observable';
import 'rxjs/add/operator/catch';
import 'rxjs/operators/map';
import { StackReportModel } from './models/stack-report.model';
export declare class StackAnalysesService {
    private http;
    private auth;
    private headers;
    private cvssScale;
    constructor(http: HttpClient, auth: AuthenticationService);
    getStackAnalyses(url: string, params?: any): Observable<StackReportModel>;
    getCvssObj(score: number): any;
    private extractData(res);
    private handleError(error);
}
